

const require_rolldown_runtime = require('../../_virtual/rolldown_runtime.js');
let class_validator = require("class-validator");

//#region src/modules/sd-jwt-vc/disclosureFrame.ts
function buildDisclosureFrameForPayload(input) {
	return Object.fromEntries(Object.entries(input).map(([key, value]) => {
		if (Array.isArray(value)) return [key, true];
		if ((0, class_validator.isObject)(value)) {
			if (Object.keys.length === 0) return [key, false];
			return [key, buildDisclosureFrameForPayload(value)];
		}
		return [key, true];
	}));
}

//#endregion
exports.buildDisclosureFrameForPayload = buildDisclosureFrameForPayload;